name: Pieter Peeters
locality: 
country: Remote
role: <a href="/job-families/sales/account-executive/">Mid Market Account Executive Northern Europe</a>
reports_to: hmason
picture: pieterpeeters.jpg
pronouns:
pronunciation:
twitter:
linkedin: pieter-peeters
gitlab: ppeeters
departments:
  - MM
  - Sales
  - Commercial Sales
specialty: 
expertise:
story: >
   Pieter has 5+ years of experience as a B2B SaaS professional, focusing on business development, client acquisition, and account management. 
   He is all about fostering a growth mindset; pushing his body to the limit with physical exercise, consistently pursuing mental health therapy, reading as many books as he can, meditating daily, and building a tight network of what he calls 'challenger friends' to get 1% better every day.
